#----------------------------------------------------------------------------
#       GNU Makefile
#----------------------------------------------------------------------------
MAKEFILE        = Makefile.libee
DEPENDENCY_FILE = .depend.Makefile.libee
LIB_UNCHECKED   = libee.a
SHLIB_UNCHECKED = libee.$(SOEXT)

static_libs_only = 1


FILES = \
  b_attrdata \
  b_attribute \
  b_object \
  b_objtype \
  b_specification \
  b_time \
  b_value \
  beelib

LIB   = $(LIB_UNCHECKED)
SHLIB = $(SHLIB_UNCHECKED)

#----------------------------------------------------------------------------
#       Include macros and targets
#----------------------------------------------------------------------------
include $(ACE_ROOT)/include/makeinclude/wrapper_macros.GNU
LSRC   = $(addsuffix .cpp, $(FILES))
ACELIB = -lACE

include $(ACE_ROOT)/include/makeinclude/macros.GNU
include $(ACE_ROOT)/include/makeinclude/rules.common.GNU
include $(ACE_ROOT)/include/makeinclude/rules.nonested.GNU

INSTALL_CHECK = ./lib
ifeq ($(INSTALL_CHECK),)
  INSTALL = $(INSTALL_CHECK)
else
  INSLIB  = $(INSTALL_CHECK)
endif
include $(ACE_ROOT)/include/makeinclude/rules.lib.GNU
include $(ACE_ROOT)/include/makeinclude/rules.local.GNU

CPPFLAGS     += -I.
ifeq ($(shared_libs),1)
  ifneq ($(SHLIB),)
    CPPFLAGS += -DACE_BUILD_DLL -DACE_OS_BUILD_DLL
  endif
endif
ifeq ($(static_libs),1)
  ifneq ($(LIB),)
    CPPFLAGS += -DACE_AS_STATIC_LIBS
  endif
endif


LDFLAGS      += -L$(ACE_ROOT)/ace

#----------------------------------------------------------------------------
#       Local targets
#----------------------------------------------------------------------------

realclean: clean 

